﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Lastgang
{
    class Nachtleuchte
    {
        double wattzahl;

        public Nachtleuchte(double wattzahl)
        {
            this.wattzahl = wattzahl;
        }

        public double bestimmeLeistung(double zeit) // zeit in Stunden, nur ein Tag
        {
            if(zeit < 6.0 || zeit > 20.0)
            {
                return wattzahl;
            }
            else
            {
                return 0.0;
            }
        }

    }

    class Waschmaschine
    {
        static Random zufall = new Random();
        double anfangszeit;

        public Waschmaschine()
        {
            anfangszeit = 14.0 + 6.0 * zufall.NextDouble();
        }

        public double bestimmeLeistung(double zeit)
        {
            if(zeit >= anfangszeit && zeit <= anfangszeit + 0.5)
            { return 2000.0; }
            else if (zeit > anfangszeit + 0.5 && zeit <= anfangszeit + 1.5)
            { return 500.0; }
            else
            { return 0.0; }
        }
    }

    struct Buch
    {
        public string titel;
        public string ISBN;
    }

}
